From: =?utf-8?q?Picca_Fr=C3=A9d=C3=A9ric-Emmanuel?= <picca@debian.org>
Date: Tue, 4 Mar 2025 12:49:28 +0100
Subject: remove mathjax types

---
 packages/controls/src/utils.ts  | 2 ++
 packages/controls/tsconfig.json | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/packages/controls/src/utils.ts b/packages/controls/src/utils.ts
index 0250e11..72cfa0b 100644
--- a/packages/controls/src/utils.ts
+++ b/packages/controls/src/utils.ts
@@ -17,7 +17,9 @@ export function typeset(element: HTMLElement, text?: string): void {
   if (text !== void 0) {
     element.textContent = text;
   }
+// @ts-ignore
   if ((window as any).MathJax !== void 0) {
+  // @ts-ignore
     MathJax!.Hub!.Queue(['Typeset', MathJax.Hub, element]);
   }
 }
diff --git a/packages/controls/tsconfig.json b/packages/controls/tsconfig.json
index ea205d9..3b52136 100644
--- a/packages/controls/tsconfig.json
+++ b/packages/controls/tsconfig.json
@@ -3,7 +3,7 @@
   "compilerOptions": {
     "outDir": "lib",
     "rootDir": "src",
-    "types": ["mathjax", "node"]
+    "types": ["node"]
   },
   "include": ["src/**/*"],
   "references": [
